package net.sabi.pester;

import danger.ui.ScreenWindow;
import danger.ui.Menu;
import danger.ui.MenuItem;

public class AlarmListWindow extends ScreenWindow
    implements Resources, Commands {
    private static AlarmListView sAlarmListView;

    public void onDecoded() {
	sAlarmListView = (AlarmListView)getDescendantWithID(ID_ALARM_LIST_VIEW);
	updateAlarmCount();
	super.onDecoded();
    }

    public void updateAlarmCount() {
	int size = sAlarmListView.alarmsSet();
	StringBuffer sb = new StringBuffer().append(size).append(" alarm");
	if (size != 1) sb.append('s');
	sb.append(" set");
	setSubTitle(sb.toString());
    }

    public void adjustActionMenuState(Menu actionMenu) {
	boolean haveFocusedItem = (sAlarmListView.getFocusedItem() != null);
	actionMenu.getItemWithID(ID_DISCARD_ITEM).setEnabled(haveFocusedItem);
    }
}